<?php

namespace App\Enums;

enum PaymentType: string
{
    case QSDD = 'QSDD';
    case MONG = 'MONG';
    case THAN = 'THAN';
    case CHI_PHI_TC = 'CHI_PHI_TC';
    case CK = 'CK';
    case PHAT = 'PHAT';
    case OTHER = 'OTHER';

    public function getLabel(): string
    {
        return match($this) {
            self::QSDD => 'Tiền QSDĐ',
            self::MONG => 'Tiền Móng',
            self::THAN => 'Tiền Thân',
            self::CHI_PHI_TC => 'Chi phí thi công',
            self::CK => 'Chiết khấu',
            self::PHAT => 'Tiền phạt',
            self::OTHER => 'Khác',
        };
    }
}
